Parameter 2 to gdlr_core_page_builder search_page_builder expected to be a reference

Si no puedes editar contenidos de tus páginas con WordPress porque realizas cambios en los textos o subes imágenes y no se ven en la web, debes revisar 2 puntos:


1) Prueba a eliminar la caché del plugin de caché que uses. Si usas LiteSpeed Cache puedes eliminar totalmente la caché del sitio siguiendo esta FAQ de cómo eliminar manualmente la caché de LiteSpeed.


2) Si a pesar de eliminar la caché el problema persiste, revisa en el error_log que hay en la carpeta "public_html" de tu cuenta de hosting para ver si ves el siguiente error:


Parameter 2 to gdlr_core_page_builder::search_page_builder() expected to be a reference


Si ves este error, seguramente tienes un conflicto con el editor de WordPress y el plugin llamado "goodlayers-core".


Revisa si tienes ese plugin instalado, y haz los siguientes cambios en el código del siguiente archivo:

/wp-content/plugins/goodlayers-core/framework/function/page-builder.php
  • Abre ese archivo
  • Busca las cadenas "&$", reemplázalas solo por "$"
  • Guarda ese archivo, sal de la sesión de administrador en WordPress, limpia la caché si usas un plugin de caché y limpia los temporales de tu navegador o abre una ventana de incógnito para entrar de nuevo a la admin de WordPress.
  • El error debería haber sido corregido y deberías poder editar tus contenidos.

¿Ha sido útil esta respuesta? No

Enviar comentario
Lamentamos no haber sido de ayuda. Ayúdenos a mejorar este artículo dejándonos sus comentarios.